package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.Function;

@SuppressWarnings("serial")
public class RemoveLines implements Function<String, Boolean> {

	@Override
	public Boolean call(String line) throws Exception {

		// Remove header
		if (line.startsWith("s") == true) {
			return false;
		} else {
			String[] fields = line.split("\\t");
			int usedSlots = Integer.parseInt(fields[2]);
			int freeSlots = Integer.parseInt(fields[3]);

			// Select the lines with freeSlots!=0 || usedSlots!=0
			if (freeSlots != 0 || usedSlots != 0) {
				return true;
			} else
				return false;
		}
	}

}
