package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.Function;

import scala.Tuple2;

@SuppressWarnings("serial")
public class ToKML implements Function<Tuple2<String, Tuple2<DayOfWeekHourCrit, String>>, String> {

	@Override
	public String call(Tuple2<String, Tuple2<DayOfWeekHourCrit, String>> StationMax) throws Exception {


		String stationId = StationMax._1();
			
		DayOfWeekHourCrit dWHC = StationMax._2()._1();
		String coordinates = StationMax._2()._2();
		
		String result="<Placemark><name>"+stationId+"</name>"
				+ "<ExtendedData>"
				+ "<Data name=\"DayWeek\"><value>"+dWHC.dayOfTheWeek+"</value></Data>"
				+ "<Data name=\"Hour\"><value>"+dWHC.hour+"</value></Data>"
				+ "<Data name=\"Criticality\"><value>"+dWHC.criticality+"</value></Data>"
				+ "</ExtendedData>"
				+ "<Point>" 
				+ "<coordinates>"+coordinates+"</coordinates>"
				+ "</Point>"
				+ "</Placemark>";

		return result;
	}

}
