package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.Function;

import scala.Tuple2;

@SuppressWarnings("serial")
public class ApplyThr implements Function<Tuple2<String, Double>, Boolean> {

	double threshold;

	public ApplyThr(double threshold) {
		this.threshold = threshold;
	}

	@Override
	public Boolean call(Tuple2<String, Double> value) throws Exception {
		double criticality = value._2().doubleValue();

		if (criticality >= threshold) {
			return true;
		} else {
			return false;
		}
	}

}
