
package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.Function;

@SuppressWarnings("serial")
public class ComputeCriticality implements Function<CountTotReadingsTotFull, Double> {

	@Override
	public Double call(CountTotReadingsTotFull value) throws Exception {
		Double criticality = new Double((double) value.numFullReadings / (double) value.numReadings);

		return criticality;
	}

}
