package it.polito.bigdata.spark.example;

import org.apache.spark.api.java.function.PairFunction;

import scala.Tuple2;

@SuppressWarnings("serial")
public class StationLocation implements PairFunction<String, String, String> {

	@Override
	public Tuple2<String, String> call(String line) throws Exception {
		// id	latitude	longitude	name
		// 1	41.397978	2.180019	Gran Via Corts Catalanes

		String[] fields = line.split("\\t");

		return new Tuple2<String, String>(fields[0], fields[1]+","+fields[2]);
	}

}
